repo/gentoo:master commit in: dev-python/widgetsnbextension/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787117910.0a99b28ec2bf8351207a988ea75c8d80430d5d63.mgorny@gentoo>
commit:     0a99b28ec2bf8351207a988ea75c8d80430d5d63
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 05:11:00 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 05:38:30 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a99b28e

dev-python/widgetsnbextension: Bump to 4.0.16

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/widgetsnbextension/Manifest             |  1 +
 .../widgetsnbextension-4.0.16.ebuild               | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/widgetsnbextension/Manifest b/dev-python/widgetsnbextension/Manifest
index ed5944898e41..5a959037305d 100644
--- a/dev-python/widgetsnbextension/Manifest
+++ b/dev-python/widgetsnbextension/Manifest
@@ -1 +1,2 @@
 DIST widgetsnbextension-4.0.15.tar.gz 1097402 BLAKE2B d8ad784030c312ab14bbcd1d24337b2f4476ddcd61e711a60f2fca595c2c8240e51755f33ce2ff58206145fb1eab3525371e91ff3dcc59a944530485a828978f SHA512 f7a9091a6c6462e22be4068749f410f08efb6920e356ffde272d684638bfb2bf075f188bdd634dfcc04038f4ed740062a7caf35714a50c25e89b843f59bc6fe4
+DIST widgetsnbextension-4.0.16.tar.gz 1111094 BLAKE2B 73fb9cab04c789b82a79072c40b9c45ed19843c9e07b3a8d940ccd7926b7bedb7af2aa85867e34b809c18aa878159e2c6d58d44f1b93dbe334eeeaf79964636d SHA512 2685899243368ed999df4772522829017e42300afc3da8ff618bd915170975212d562d076718b03f5e1bff09bfe03a1543e4e18e5ab689f68872049d46969fb5

diff --git a/dev-python/widgetsnbextension/widgetsnbextension-4.0.16.ebuild b/dev-python/widgetsnbextension/widgetsnbextension-4.0.16.ebuild
new file mode 100644
index 000000000000..8f09ea471bfe
--- /dev/null
+++ b/dev-python/widgetsnbextension/widgetsnbextension-4.0.16.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="
+	https://ipython.org/
+	https://pypi.org/project/widgetsnbextension/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+	dev-python/jupyter-packaging[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests import-check
+
+src_install() {
+	distutils-r1_src_install
+
+	mv "${ED}/usr/etc" "${ED}/etc" || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.